Skip to main content
POST
/
api
/
knowledge
/
products
/
batch
Batch import products
curl --request POST \
  --url https://{tenant}.app.big-panda.ai/api/knowledge/products/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "products": [
    {
      "title": "<string>",
      "language": "<string>",
      "external_id": "<string>",
      "description": "<string>",
      "short_description": "<string>",
      "sku": "<string>",
      "gtin": "<string>",
      "brand": "<string>",
      "category": "<string>",
      "attributes": {},
      "properties": {},
      "price_current": 123,
      "price_msrp": 123,
      "price_special": 123,
      "price_on_request": false,
      "currency": "EUR",
      "image_url": "<string>",
      "additional_images": [
        "<string>"
      ],
      "product_url": "<string>",
      "availability": "<string>",
      "rating_average": 2.5,
      "rating_count": 0,
      "parent_external_id": "<string>",
      "is_variant": false,
      "is_parent": false,
      "similarity_text": "<string>",
      "search_keywords": [
        "<string>"
      ],
      "embedding_text_description": "<string>",
      "embedding_text_properties": "<string>",
      "embedding_text_attributes": "<string>",
      "sync_hash": "<string>"
    }
  ]
}
'
{
  "created": 123,
  "updated": 123,
  "errors": [
    {}
  ],
  "products": [
    {
      "external_id": "<string>",
      "id": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.big-panda.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API-Token aus dem Big-Panda-Admin-UI unter Einstellungen → API-Keys. Header: Authorization: Bearer <token>.

Query Parameters

site_id
string
required

Site to push products to (UUID or slug)

Body

application/json

Batch import: multiple products in one request.

products
ProductCreate · object[]
required

Up to 100 products per batch request

Required array length: 1 - 100 elements

Response

Successful Response

Result of a batch import.

created
integer
required
updated
integer
required
errors
Errors · object[]
products
ProductBatchItem · object[]